Page MenuHomeFreeBSD

Document logic for __DEFAULT_DEPENDENT_OPTIONS
ClosedPublic

Authored by sjg on Sep 13 2019, 5:57 PM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

sjg created this revision.Sep 13 2019, 5:57 PM
stevek added inline comments.Sep 13 2019, 6:08 PM
share/mk/bsd.mkopt.mk
16 ↗(On Diff #62045)

Perhaps "or the value of MK_BAR if both WITH_FOO and WITHOUT_FOO are not defined." would be clearer?

Otherwise it looks fine to me.

sjg updated this revision to Diff 62096.Sep 14 2019, 3:55 PM

Use otherwise

stevek accepted this revision.Sep 16 2019, 12:12 AM
This revision is now accepted and ready to land.Sep 16 2019, 12:12 AM
This revision was automatically updated to reflect the committed changes.